package com.tuoheng.admin.enums.code.inspection;

/**
 * @Author ChengWang
 * @Date 2022/12/1
 */
public enum QueryVideoServiceEnum {

    QUERY_IS_FAILED(1230700, "获取数据失败"),
    INSPECTION_ID_IS_NULL(1230701, "任务id为空"),
    LIVE_CHANNEL_IS_NOT_EXIST(1230702, "直播通道为空"),
    AIPULL_URL_IS_NOT_NULL(1230703, "直播地址为空"),
    AIVIDEO_URL_IS_NOT_NULL(1230704, "回放地址为空"),
    INSPECTION_IS_NOT_EXIST(1230705,"没有正在直播的任务"),
    AIRPORT_ID_IS_NULL(1230706, "机场id为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryVideoServiceEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
